~ [ source navigation ] ~ [ diff markup ] ~ [ identifier search ] ~

TOMOYO Linux Cross Reference
Linux/tools/testing/selftests/arm64/fp/ssve-stress

Version: ~ [ linux-6.11-rc3 ] ~ [ linux-6.10.4 ] ~ [ linux-6.9.12 ] ~ [ linux-6.8.12 ] ~ [ linux-6.7.12 ] ~ [ linux-6.6.45 ] ~ [ linux-6.5.13 ] ~ [ linux-6.4.16 ] ~ [ linux-6.3.13 ] ~ [ linux-6.2.16 ] ~ [ linux-6.1.104 ] ~ [ linux-6.0.19 ] ~ [ linux-5.19.17 ] ~ [ linux-5.18.19 ] ~ [ linux-5.17.15 ] ~ [ linux-5.16.20 ] ~ [ linux-5.15.164 ] ~ [ linux-5.14.21 ] ~ [ linux-5.13.19 ] ~ [ linux-5.12.19 ] ~ [ linux-5.11.22 ] ~ [ linux-5.10.223 ] ~ [ linux-5.9.16 ] ~ [ linux-5.8.18 ] ~ [ linux-5.7.19 ] ~ [ linux-5.6.19 ] ~ [ linux-5.5.19 ] ~ [ linux-5.4.281 ] ~ [ linux-5.3.18 ] ~ [ linux-5.2.21 ] ~ [ linux-5.1.21 ] ~ [ linux-5.0.21 ] ~ [ linux-4.20.17 ] ~ [ linux-4.19.319 ] ~ [ linux-4.18.20 ] ~ [ linux-4.17.19 ] ~ [ linux-4.16.18 ] ~ [ linux-4.15.18 ] ~ [ linux-4.14.336 ] ~ [ linux-4.13.16 ] ~ [ linux-4.12.14 ] ~ [ linux-4.11.12 ] ~ [ linux-4.10.17 ] ~ [ linux-4.9.337 ] ~ [ linux-4.4.302 ] ~ [ linux-3.10.108 ] ~ [ linux-2.6.32.71 ] ~ [ linux-2.6.0 ] ~ [ linux-2.4.37.11 ] ~ [ unix-v6-master ] ~ [ ccs-tools-1.8.9 ] ~ [ policy-sample ] ~
Architecture: ~ [ i386 ] ~ [ alpha ] ~ [ m68k ] ~ [ mips ] ~ [ ppc ] ~ [ sparc ] ~ [ sparc64 ] ~

  1 #!/bin/bash
  2 # SPDX-License-Identifier: GPL-2.0-only
  3 # Copyright (C) 2015-2019 ARM Limited.
  4 # Original author: Dave Martin <Dave.Martin@arm.com>
  5 
  6 set -ue
  7 
  8 NR_CPUS=`nproc`
  9 
 10 pids=
 11 logs=
 12 
 13 cleanup () {
 14         trap - INT TERM CHLD
 15         set +e
 16 
 17         if [ -n "$pids" ]; then
 18                 kill $pids
 19                 wait $pids
 20                 pids=
 21         fi
 22 
 23         if [ -n "$logs" ]; then
 24                 cat $logs
 25                 rm $logs
 26                 logs=
 27         fi
 28 }
 29 
 30 interrupt () {
 31         cleanup
 32         exit 0
 33 }
 34 
 35 child_died () {
 36         cleanup
 37         exit 1
 38 }
 39 
 40 trap interrupt INT TERM EXIT
 41 
 42 for x in `seq 0 $((NR_CPUS * 4))`; do
 43         log=`mktemp`
 44         logs=$logs\ $log
 45         ./ssve-test >$log &
 46         pids=$pids\ $!
 47 done
 48 
 49 # Wait for all child processes to be created:
 50 sleep 10
 51 
 52 while :; do
 53         kill -USR1 $pids
 54 done &
 55 pids=$pids\ $!
 56 
 57 wait
 58 
 59 exit 1

~ [ source navigation ] ~ [ diff markup ] ~ [ identifier search ] ~

kernel.org | git.kernel.org | LWN.net | Project Home | SVN repository | Mail admin

Linux® is a registered trademark of Linus Torvalds in the United States and other countries.
TOMOYO® is a registered trademark of NTT DATA CORPORATION.

sflogo.php